Subject: Re: 31.0.50; Setting frame parameter 'left (- -N) broken

From: Angelo Graziosi <[email-masked]>
Date: Wed, 12 Feb 2025 20:47:49 +0100

I had noticed this issue some time ago. It shows up only on GNU/Linux 
(Mint, here). For example, to have the top right corner of Emacs aligned 
with the top right corner of the Desktop, I have to put on Windows:

(left . (- -5)) ; pixel
(top  .   0)    ; pixel

On GNU/Linux, instead I had

(left . 830)  ; pixel
(top  .   0)  ; pixel

After your fix, On GNU/Linux I can put

(left . (- -20)) ; pixel
(top  .   0)  ; pixel

But with the same binaries installed, on WSL I have to put

(left . (- -60)) ; pixel
(top  .   0)  ; pixel

May you explain why this difference?

Why, in any case (also on Windows), I have to do a negative shift?

Have you some suggestion to test to have TR corner on TR corner of the 
Desktop?

TIA,
  Angelo.